Skip to content

Revert Library User Licenses

Request

Reverts the license for a given library to its original state

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

libraryUuidstringrequired

library UUID (get a project's library by running Library - Project > Get Project Libraries.

DELETE
/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/licenses/revert
curl -i -X DELETE \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/licenses/revert' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValArray of objects(LibraryLicenseDTO)
Response
{ "supportToken": "1171c60d", "retVal": [ {} ] }